// creator  : weidu.exe (version 23100)
// argument : _SERWEN.DLG
// game		 : .
// source	 : ./override/_SERWEN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_SERWEN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 2 3 even though they appear after this state */
~RandomNum(3,1)
~ THEN BEGIN 0 // from:
  SAY #79759 /* ~'Ere there, what do ye need to be bothering me for?  I've work to do.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 2 3 even though they appear after this state */
~RandomNum(3,2)
~ THEN BEGIN 1 // from:
  SAY #79760 /* ~Ye drop another careless hand near me and I swears you'll lose it!  Order up at the bar.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 /* Triggers after states #: 3 even though they appear after this state */
~!Dead("cyrdemac")
AreaCheck("FW0705")
Global("SpokeToAreana","GLOBAL",1)
Global("AcceptedJob","GLOBAL",1)
~ THEN BEGIN 2 // from:
  SAY #79761 /* ~'Ere there, what do ye need to be bothering me for?  I've work to do.  Bastard Cyrdemac tips the glass like a fish, he does.  Fool smuggler must spend half his coin here.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #79762 /* ~I hear so much stuff each day it's hard to remember any of it later on.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~RandomNum(3,3)
~ THEN BEGIN 4 // from:
  SAY #79763 /* ~Get away, you nobbish plonker!~ */
  IF ~~ THEN EXIT
END
